
// HotLog

function hotlog_js_version (version) {
  if(version == '1.0') {
    hotlog_js="1.0";
    hotlog_r=""+Math.random()+"&s=260791&im=131&r="+escape(document.referrer)+"&pg="+escape(window.location.href);
    document.cookie="hotlog=1; path=/";
    hotlog_r+="&c="+(document.cookie?"Y":"N");
  } else if(version == '1.1') {
    hotlog_js="1.1";
    hotlog_r+="&j="+(navigator.javaEnabled()?"Y":"N");
  } else if(version == '1.2') {
    hotlog_js="1.2";
    hotlog_r+="&wh="+screen.width+'x'+screen.height+"&px="+(((navigator.appName.substring(0,3)=="Mic"))?screen.colorDepth:screen.pixelDepth);
  } else if(version == '1.3') {
    hotlog_js="1.3";
  }
}

function hotlog_create () {
  hotlog_r+="&js="+hotlog_js;
  document.write("<a href='http://click.hotlog.ru/?260791' target='_top'><img "+
    " src='http://hit10.hotlog.ru/cgi-bin/hotlog/count?"+
    hotlog_r+"&' border=0 width=88 height=31 alt=HotLog></a>");
}

// SpyLOG f:0211

function spylog_js_version (version) {
  if(version == '1.0') {
    Md=document;
    Mnv=navigator;
    Mp=1;
    Mn=(Mnv.appName.substring(0,2)=="Mi")?0:1;
    Mrn=Math.random();
    Mt=(new Date()).getTimezoneOffset();
    Mz="p="+Mp+"&rn="+Mrn+"&t="+Mt;
    Md.cookie="b=b";
    Mc=0;
    if(Md.cookie)Mc=1;
    Mz+='&c='+Mc;
    Msl="1.0";
  } else if(version == '1.1') {
    Mpl="";
    Msl="1.1";
    Mj = (Mnv.javaEnabled()?"Y":"N");
    Mz+='&j='+Mj;
  } else if(version == '1.2') {
    Msl="1.2";
  } else if(version == '1.3') {
    Msl="1.3";
  }
}

function spylog_create () {
  Mu="u6459.65.spylog.com";
  My="";
  My+="<a href='http://"+Mu+"/cnt?cid=645965&f=3&p="+Mp+"&rn="+Mrn+"' target='_blank'>";
  My+="<img src='http://"+Mu+"/cnt?cid=645965&"+Mz+"&sl="+Msl+"&r="+escape(Md.referrer)+"&pg="+escape(window.location.href)+"' border=0 width=88 height=31 alt='SpyLOG'>";
  My+="</a>";
  Md.write(My);
}

// Rating@Mail.ru

function ratingmailru_js_version (version) {
  if(version == '1.0') {
    d=document;
    a='';
    a+=';r='+escape(d.referrer);
    js=10;
  } else if(version == '1.1') {
    a+=';j='+navigator.javaEnabled();
    js=11;
  } else if(version == '1.2') {
    s=screen;
    a+=';s='+s.width+'*'+s.height;
    a+=';d='+(s.colorDepth?s.colorDepth:s.pixelDepth);
    js=12;
  } else if(version == '1.3') {
    js=13;
  }
}

function ratingmailru_create () {
  d.write('<a href="http://top.mail.ru/jump?from=901549"'+
  ' target=_top><img src="http://top.list.ru/counter'+
  '?id=901549;t=48;js='+js+a+';rand='+Math.random()+
  '" alt="Рейтинг@Mail.ru"'+' border=0 height=31 width=88 /><\/a>');
}

// W-M stats

function wmstats_create () {
  cnsd=document;
  cnsd.cookie='b=b';
  cnsc=cnsd.cookie?1:0;
  cnst=escape(cnsd.title);
  cnst=cnst.replace(/\+/g,'%2B');
  cnsa=navigator.appName;
  cnsn=(cnsa.substring(0,2)=='Mi')?0:1;
  cnss=screen;
  cnspx=(cnsn==0)?cnss.colorDepth:cnss.pixelDepth;
  document.write('<img src="http://vovstat.w-m.ru/cnstats/cntc.php?i=2306&amp;c='+cnsc+'&amp;e='+cnss.width+'.'+
  cnss.height+'&amp;d='+cnspx+'&amp;r='+escape(cnsd.referrer)+'&amp;p='+escape(cnsd.location)+'&amp;t='+cnst+
  '" width="1" height="1" border="0" >');
}
